Product Links

Trust Datacard® IDCentre™ identification software to help you accelerate production and promote security while ensuring quality and efficiency in your ID card program. Tailored for seamless migration, this flexible software makes it easy to incorporate new functionality as your program grows and changes.

    Software Upgrades

    Datacard® DSLR-1 v1.3 Camera Plug in for ID Works, IDCentre, WebID

    If you are using ID Works, IDCentre, or WebID and would like to incorporate facial capture functionality with Cannon EOS Rebel T5 / 1200D camera, download and run the attached file.

    DSLR v1.3 Camera Plug in uses Canon ED SDK v3.6.1. The EOS Rebel T6 camera has been tested by Entrust Datacard

    Entrust Datacard supports the use of DSLR v1.3 camera plug-in software with the following applications:

    • Datacard ID Works® v6.5 (Basic, Standard and Enterprise)
    • Datacard IDCentre™ v6.5 (Bronze, Silver and Gold)
    • Datacard WebID™ Workstation v6 or later

    Operating systems supported by the applications listed above are supported by the DSLR v1.3 camera plug-in with the following exceptions:

    • Windows 2000 is not supported by the camera plug-in
    • Windows XP 64-bit is not supported by the camera plug-in

    NOTE: Prior to installing v1.3, make sure that previous versions of the plug-in are uninstalled.

    When using the camera with ID Works/ID Centre, make sure the dial on the camera is set to P. If this is not set you will not see the menus to configure the camera.

    IDCentre v5.2 Plug-in for the CD800 Printer

    Download and install this plug-in if you are using a Datacard CD800 printer with IDCentre v5.2 identification software. The plug-in is required to support card production features such as K panel printing, topcoat application, and magnetic stripe encoding.

    This plug-in replaces the plug-in included with the v2.0 printer driver installation. The plug-in included with the driver installation does not function correctly with IDCentre v5.2 software.

    The plug-in requires the following to install and function:

    • IDCentre v5.2
    • XPS Card Printer Driver v2.0
    • Windows XP Service Pack 3

    **Note**

    • This Plug-in will not work with any ViaNet Workstation versions
    • This Plug-in will only work with version 6.5.of WebID Workstation

    Datacard® DSLR-2 Camera Plug in for ID Works, IDCentre, WebID

    If you are using ID Works, IDCentre, or WebID and would like to incorporate facial capture functionality with Cannon EOS Rebel T5 / 1200D camera, download and run the attached file.

    DSLR v1.2 Camera Plug in uses Canon ED SDK v2.14. EOS Rebel T5 camera has been tested by Entrust Datacard.

    Entrust Datacard supports the use of DSLR v1.2 camera plug-in software with the following applications:

    • Datacard ID Works® v6.5 (Basic, Standard and Enterprise)
    • Datacard IDCentre™ v6.5 (Bronze, Silver and Gold)
    • Datacard WebID™ Workstation v6 or later

    Operating systems supported by the applications listed above are supported by the DSLR v1.2 camera plug-in with the following exceptions:

    • Windows 2000 is not supported by the camera plug-in
    • Windows XP 64-bit is not supported by the camera plug-in

    NOTE: When using the camera with ID Works/ID Centre, make sure the dial on the camera is set to P. If this is not set you will not see the menus to configure the camera.

    IDCentre software v6.5 upgrade

    If you are using IDCentre v6.0 software and plan to continue to use Microsoft Windows 2000 or XP operating system, you do not need to upgrade to v6.5 as no new features have been added. If you do not have a card printer driver that is Vista operating system compatible, or if you are using the Finger Pointe solution, do NOT upgrade. If you are using Photo Pointe solution, you must have v6.5 or greater and if you are using Signature Pointe solution, you must have v6.5. All components must be Vista operating system compatible for the solution to run on Vista.

    Before installing the upgrade, read the complete description. If you are using Capture Pointe solutions, you must use the Vista operating system compatible software version and hardware noted in the description. If your card printer is not Vista operating system compatible, please do not upgrade.

    If you have any questions regarding upgrades, please contact your Datacard service provider.

    Documentation

    IDCentre™ v6.5 Installation Guide

    Installation Guide IDCentre v6.5

    Related Products

    ×

    👋 Hello, if you have any
    questions, I'm ready to chat.

    Chat Now